package edu.uoc.android.tfm_magp_2019.activities;

import android.content.Intent;
import android.os.Bundle;
import android.support.design.widget.FloatingActionButton;
import android.support.design.widget.Snackbar;
import android.support.v7.app.AppCompatActivity;
import android.support.v7.widget.Toolbar;
import android.view.Menu;
import android.view.MenuItem;
import android.view.View;
import android.widget.Button;
import android.widget.TextView;
import android.widget.Toast;

import edu.uoc.android.tfm_magp_2019.R;

public class AlertasActivity extends AppCompatActivity implements View.OnClickListener {

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate( savedInstanceState );
        setContentView( R.layout.activity_alertas );
        Toolbar toolbar = (Toolbar) findViewById( R.id.toolbar );
        setSupportActionBar( toolbar );

        Button botonEclipses = (Button) findViewById( R.id.buttonAlertasEclipse );
        Button botonLunar = (Button) findViewById( R.id.buttonAlertasLunar );
        Button botonEstrellas = (Button) findViewById( R.id.buttonAlertasEtrellas );

        botonEclipses.setOnClickListener( this );
        botonLunar.setOnClickListener( this );
        botonEstrellas.setOnClickListener( this );
    }

    @Override
    public void onClick(View v) {

        switch (v.getId()){
            case R.id.buttonAlertasEclipse:
                startActivity (new Intent(this, AjustesEclipsesActivity.class));
                break;
            case R.id.buttonAlertasLunar:
                startActivity (new Intent(this, AjustesLunarActivity.class));
                break;
            case R.id.buttonAlertasEtrellas:
                startActivity (new Intent(this, AjustesEstrellasActivity.class));
                break;
        }
    }

}
