package edu.uoc.android.tfm_magp_2019.activities;

import android.content.Intent;
import android.net.Uri;
import android.os.Bundle;
import android.support.v7.app.AppCompatActivity;
import android.support.v7.widget.Toolbar;
import android.view.Menu;
import android.view.MenuItem;
import android.widget.CompoundButton;
import android.widget.ImageView;
import android.widget.Switch;
import android.widget.TextView;

import edu.uoc.android.tfm_magp_2019.R;

public class LunarActivity extends AppCompatActivity { //implements CompoundButton.OnCheckedChangeListener  --> para implementar switch

    Uri lunasGrandes [];
    String nombreFasesLunares [];
    String porcentajesFasesLunares [];
   // Switch switchLuna;

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate( savedInstanceState );
        setContentView( R.layout.activity_lunar );
        Toolbar toolbar = (Toolbar) findViewById( R.id.toolbar );
        setSupportActionBar( toolbar );

        ImageView imageView = (ImageView) findViewById( R.id.imageViewLunar );
        TextView tipoLuna = (TextView) findViewById( R.id.textViewLunar1 );
        TextView fechaLunar = (TextView) findViewById( R.id.textViewLunar2 );
        TextView porcentajeLuna = (TextView) findViewById( R.id.textViewLunar3 );
      //  switchLuna = (Switch) findViewById( R.id.switchLunar );

     //   switchLuna.setOnCheckedChangeListener( this );

        lunasGrandes = new Uri[]{
                Uri.parse("android.resource://" + getPackageName() +"/"+R.drawable.l1), //nueva
                Uri.parse("android.resource://" + getPackageName() +"/"+R.drawable.l2),
                Uri.parse("android.resource://" + getPackageName() +"/"+R.drawable.l3),
                Uri.parse("android.resource://" + getPackageName() +"/"+R.drawable.l4),
                Uri.parse("android.resource://" + getPackageName() +"/"+R.drawable.l5),
                Uri.parse("android.resource://" + getPackageName() +"/"+R.drawable.l6), //crecientes
                Uri.parse("android.resource://" + getPackageName() +"/"+R.drawable.l7), //cuarto creciente
                Uri.parse("android.resource://" + getPackageName() +"/"+R.drawable.l8), //creceintes gibosas
                Uri.parse("android.resource://" + getPackageName() +"/"+R.drawable.l9),
                Uri.parse("android.resource://" + getPackageName() +"/"+R.drawable.l10),
                Uri.parse("android.resource://" + getPackageName() +"/"+R.drawable.l11),
                Uri.parse("android.resource://" + getPackageName() +"/"+R.drawable.l12), //luna llena
                Uri.parse("android.resource://" + getPackageName() +"/"+R.drawable.l13), //menguante gibosa
                Uri.parse("android.resource://" + getPackageName() +"/"+R.drawable.l14),
                Uri.parse("android.resource://" + getPackageName() +"/"+R.drawable.l15),
                Uri.parse("android.resource://" + getPackageName() +"/"+R.drawable.l16),
                Uri.parse("android.resource://" + getPackageName() +"/"+R.drawable.l17),
                Uri.parse("android.resource://" + getPackageName() +"/"+R.drawable.l18), //cuarto menguante
                Uri.parse("android.resource://" + getPackageName() +"/"+R.drawable.l19),//menguantes
                Uri.parse("android.resource://" + getPackageName() +"/"+R.drawable.l20),
                Uri.parse("android.resource://" + getPackageName() +"/"+R.drawable.l21),
                Uri.parse("android.resource://" + getPackageName() +"/"+R.drawable.l22),
                Uri.parse("android.resource://" + getPackageName() +"/"+R.drawable.l23)
        };
/*
        nombreFasesLunares = new String[]{"Luna Nueva", "Luna Creciente", "Luna Creciente", "Luna Creciente", "Luna Creciente", "Luna Creciente", "Cuarto Creciente",
                "Creciente Gibosa", "Creciente Gibosa", "Creciente Gibosa", "Creciente Gibosa", "Luna Llena", "Menguante Gibosa", "Menguante Gibosa", "Menguante Gibosa",
                "Menguante Gibosa", "Menguante Gibosa", "Cuarto Menguante", "Luna Menguante", "Luna Menguante", "Luna Menguante", "Luna Menguante", "Luna Menguante"

        }; */


        nombreFasesLunares = new String[]{getString(R.string.literal_luna_nueva), getString(R.string.litaral_luna_creciente), getString(R.string.litaral_luna_creciente),
                getString(R.string.litaral_luna_creciente), getString(R.string.litaral_luna_creciente), getString(R.string.litaral_luna_creciente), getString(R.string.literal_cuarto_creciente),
                getString(R.string.literal_creciente_gibosa), getString(R.string.literal_creciente_gibosa), getString(R.string.literal_creciente_gibosa), getString(R.string.literal_creciente_gibosa),
                getString(R.string.literal_luna_llena), getString(R.string.literal_menguante_gi), getString(R.string.literal_menguante_gi), getString(R.string.literal_menguante_gi),
                getString(R.string.literal_menguante_gi), getString(R.string.literal_menguante_gi), getString(R.string.literal_cuarto_meng), getString(R.string.literal_luna_men),
                getString(R.string.literal_luna_men), getString(R.string.literal_luna_men), getString(R.string.literal_luna_men), getString(R.string.literal_luna_men)
        };


        porcentajesFasesLunares = new String[]{ "0 %","8 %","16 %","24 %","32 %", "41 %", "50 %", "60 %", "71 %", "80 %", "89 %", "100 %", "92 %", "84 %", "76 %",
                "67 %", "59 %", "50 %", "40 %", "29 %", "20 %", "11%", "1 %"

        };

        String fechaLuna = getIntent().getStringExtra("lunarfecha");

        int imagenLunaInt = Integer.parseInt( getIntent().getStringExtra("imagengrande") );

        Uri imagenGrandeLuna = lunasGrandes[imagenLunaInt-1];


        imageView.setImageURI(imagenGrandeLuna);
        tipoLuna.setText( nombreFasesLunares[imagenLunaInt-1] );
        fechaLunar.setText( fechaLuna );
        porcentajeLuna.setText( porcentajesFasesLunares[imagenLunaInt-1] );
    }

    @Override
    public boolean onCreateOptionsMenu(Menu menu) {
        // Inflate the menu; this adds items to the action bar if it is present.
        getMenuInflater().inflate(R.menu.menu_main, menu);
        return true;
    }
    @Override
    public boolean onOptionsItemSelected(MenuItem item) {
        // Handle action bar item clicks here. The action bar will
        // automatically handle clicks on the Home/Up button, so long
        // as you specify a parent activity in AndroidManifest.xml.
        int id = item.getItemId();

        switch (id){
            case R.id.action_alerts:
                startActivity (new Intent(this, AlertasActivity.class));
                break;
            case  R.id.action_help:
                startActivity (new Intent(this, AyudaActivity.class));
                break;
            case R.id.action_settings:
                startActivity (new Intent(this, AjustesActivity.class));
                break;
        }

        return super.onOptionsItemSelected( item );
    }
/*
    @Override
    public void onCheckedChanged(CompoundButton buttonView, boolean isChecked) {
        if (switchLuna.isChecked()){
        }else {
        }
    }
*/
}
