package edu.uoc.android.tfm_magp_2019.fragments;

import android.app.DatePickerDialog;
import android.content.Intent;
import android.os.Bundle;
import android.support.annotation.NonNull;
import android.support.annotation.Nullable;
import android.support.v4.app.Fragment;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.DatePicker;
import android.widget.EditText;
import android.widget.TextView;

import java.util.ArrayList;
import java.util.Calendar;
import java.util.List;

import edu.uoc.android.tfm_magp_2019.R;
import edu.uoc.android.tfm_magp_2019.activities.LunarActivity;
import edu.uoc.android.tfm_magp_2019.manager.FirebaseFenomenoManager;
import edu.uoc.android.tfm_magp_2019.utils.Fenomenos;


public class LunarFragment extends Fragment implements View.OnClickListener {

    private static final String TAG = "LunarFragment";

    private static final String CERO = "0";
    private static final String BARRA = "/";
    EditText entradaFecha;
    TextView labelMes;
    TextView labelAnio;

    // TextView de cada celda de la tabla
    TextView casilla1;
    TextView casilla2;
    TextView casilla3;
    TextView casilla4;
    TextView casilla5;
    TextView casilla6;
    TextView casilla7;
    TextView casilla8;
    TextView casilla9;
    TextView casilla10;
    TextView casilla11;
    TextView casilla12;
    TextView casilla13;
    TextView casilla14;
    TextView casilla15;
    TextView casilla16;
    TextView casilla17;
    TextView casilla18;
    TextView casilla19;
    TextView casilla20;
    TextView casilla21;
    TextView casilla22;
    TextView casilla23;
    TextView casilla24;
    TextView casilla25;
    TextView casilla26;
    TextView casilla27;
    TextView casilla28;
    TextView casilla29;
    TextView casilla30;
    TextView casilla31;
    TextView casilla32;
    TextView casilla33;
    TextView casilla34;
    TextView casilla35;
    TextView casilla36;
    TextView casilla37;
    TextView casilla38;
    TextView casilla39;
    TextView casilla40;
    TextView casilla41;
    TextView casilla42;

    // array contenedor de TextVIew de casillas
    TextView [] Casillas;


    //Calendario para obtener fecha & hora
    public final Calendar c = Calendar.getInstance();

    //Variables para obtener la fecha
    final int mes = c.get(Calendar.MONTH);
    final int dia = c.get(Calendar.DAY_OF_MONTH);
    final int anio = c.get(Calendar.YEAR);

    private  int numDiasMes = 0;
    private int numeroDiaDeLaSemana = 0;
    String entradaDiaDeLaSemana;
    int LunasIcon[];
    int diaDeLunaNueva=0;
    private String mesSeleccionado;
    //private String[] lunasGrandesStrings;
    private int[] lunasGrandesInt;
    private int[] lunaGrandePosicionInt;


    @Nullable
    @Override
    public View onCreateView(@NonNull LayoutInflater inflater, @Nullable ViewGroup container, @Nullable Bundle savedInstanceState) {
        View view = inflater.inflate( R.layout.lunarfragment, container, false );

        // asociación de elementos de interfaz con su vaiable
        entradaFecha = (EditText) view.findViewById( R.id.mostarFechaLunar);
        labelMes = view.findViewById( R.id.labelMes );
        labelAnio = view.findViewById( R.id.labelAnio );

        // recuperar la información de eventos
        final List<Fenomenos> fenomenosList = FirebaseFenomenoManager.getInstance().getAllFenomenos();
        ArrayList lunarFeno = new ArrayList();

        // asociación de elementos de interfaz de la tabla
        casilla1 = view.findViewById( R.id.casilla_1);
        casilla2 = view.findViewById( R.id.casilla_2);
        casilla3 = view.findViewById( R.id.casilla_3);
        casilla4 = view.findViewById( R.id.casilla_4);
        casilla5 = view.findViewById( R.id.casilla_5);
        casilla6 = view.findViewById( R.id.casilla_6);
        casilla7 = view.findViewById( R.id.casilla_7);
        casilla8 = view.findViewById( R.id.casilla_8);
        casilla9 = view.findViewById( R.id.casilla_9);
        casilla10 = view.findViewById( R.id.casilla_10);
        casilla11 = view.findViewById( R.id.casilla_11);
        casilla12 = view.findViewById( R.id.casilla_12);
        casilla13 = view.findViewById( R.id.casilla_13);
        casilla14 = view.findViewById( R.id.casilla_14);
        casilla15 = view.findViewById( R.id.casilla_15);
        casilla16 = view.findViewById( R.id.casilla_16);
        casilla17 = view.findViewById( R.id.casilla_17);
        casilla18 = view.findViewById( R.id.casilla_18);
        casilla19 = view.findViewById( R.id.casilla_19);
        casilla20 = view.findViewById( R.id.casilla_20);
        casilla21 = view.findViewById( R.id.casilla_21);
        casilla22 = view.findViewById( R.id.casilla_22);
        casilla23 = view.findViewById( R.id.casilla_23);
        casilla24 = view.findViewById( R.id.casilla_24);
        casilla25 = view.findViewById( R.id.casilla_25);
        casilla26 = view.findViewById( R.id.casilla_26);
        casilla27 = view.findViewById( R.id.casilla_27);
        casilla28 = view.findViewById( R.id.casilla_28);
        casilla29 = view.findViewById( R.id.casilla_29);
        casilla30 = view.findViewById( R.id.casilla_30);
        casilla31 = view.findViewById( R.id.casilla_31);
        casilla32 = view.findViewById( R.id.casilla_32);
        casilla33 = view.findViewById( R.id.casilla_33);
        casilla34 = view.findViewById( R.id.casilla_34);
        casilla35 = view.findViewById( R.id.casilla_35);
        casilla36 = view.findViewById( R.id.casilla_36);
        casilla37 = view.findViewById( R.id.casilla_37);
        casilla38 = view.findViewById( R.id.casilla_38);
        casilla39 = view.findViewById( R.id.casilla_39);
        casilla40 = view.findViewById( R.id.casilla_40);
        casilla41 = view.findViewById( R.id.casilla_41);
        casilla42 = view.findViewById( R.id.casilla_42);

        // enteros para cada casilla, guardarán el día de la semana
        int scasilla1 = 0;
        int scasilla2 = 0;
        int scasilla3 = 0;
        int scasilla4 = 0;
        int scasilla5 = 0;
        int scasilla6 = 0;
        int scasilla7 = 0;
        int scasilla8 = 0;
        int scasilla9 = 0;
        int scasilla10 = 0;
        int scasilla11 = 0;
        int scasilla12 = 0;
        int scasilla13 = 0;
        int scasilla14 = 0;
        int scasilla15 = 0;
        int scasilla16 = 0;
        int scasilla17 = 0;
        int scasilla18 = 0;
        int scasilla19 = 0;
        int scasilla20 = 0;
        int scasilla21 = 0;
        int scasilla22 = 0;
        int scasilla23 = 0;
        int scasilla24 = 0;
        int scasilla25 = 0;
        int scasilla26 = 0;
        int scasilla27 = 0;
        int scasilla28 = 0;
        int scasilla29 = 0;
        int scasilla30 = 0;
        int scasilla31 = 0;
        int scasilla32 = 0;
        int scasilla33 = 0;
        int scasilla34 = 0;
        int scasilla35 = 0;
        int scasilla36 = 0;
        int scasilla37 = 0;
        int scasilla38 = 0;
        int scasilla39 = 0;
        int scasilla40 = 0;
        int scasilla41 = 0;
        int scasilla42 = 0;

        // inicializar el array de casillas TextView
        Casillas = new TextView[]{casilla1, casilla1, casilla2, casilla3, casilla4, casilla5, casilla6, casilla7, casilla8, casilla9, casilla10, casilla11, casilla12,
                casilla13, casilla14, casilla15, casilla16, casilla17, casilla18, casilla19, casilla20, casilla21, casilla22, casilla23, casilla24, casilla25,
                casilla26, casilla27, casilla28, casilla29, casilla30, casilla31, casilla32, casilla33, casilla34, casilla35, casilla36, casilla37, casilla38,
                casilla39, casilla40, casilla41, casilla42};

        //inicializar el array de enteror que conetndrá el orden del mes
        lunaGrandePosicionInt = new int[]{scasilla1,scasilla2,scasilla3,scasilla4,scasilla5,scasilla6,scasilla7,scasilla8,scasilla9,scasilla10,scasilla11,scasilla12,scasilla13,scasilla14,scasilla15,
                scasilla16,scasilla17,scasilla18,scasilla19,scasilla20,scasilla21,scasilla22,scasilla23,scasilla24,scasilla25,scasilla26,scasilla27,scasilla28,scasilla29,scasilla30,scasilla31,scasilla32,scasilla33
                ,scasilla34,scasilla35,scasilla36,scasilla37,scasilla38,scasilla39,scasilla40,scasilla41,scasilla42};

        // carga ordenada de inconos pequeños de las fases lunares
        LunasIcon = new int[] {R.drawable.luna1, R.drawable.luna2, R.drawable.luna2, R.drawable.luna2, R.drawable.luna3, R.drawable.luna3, R.drawable.luna4, R.drawable.luna4,
                R.drawable.luna5, R.drawable.luna5, R.drawable.luna6, R.drawable.luna6, R.drawable.luna7, R.drawable.luna7, R.drawable.luna8,
                R.drawable.luna9, R.drawable.iluna2, R.drawable.iluna3, R.drawable.iluna3, R.drawable.iluna4, R.drawable.iluna4, R.drawable.iluna5, R.drawable.iluna5,
                R.drawable.iluna6, R.drawable.iluna6, R.drawable.iluna7, R.drawable.iluna7, R.drawable.iluna8, R.drawable.iluna8};

        //carga ordenada de la correspondencia entre los iconos de lunas pequeños de la tabla y las imagenes grandes de la vista de detalle. El orden de LunasIcon y lunasGrandesInt se corresponde
        lunasGrandesInt = new int[]{12,11,10,10,9,8,7,6,6,5,5,4,3,2,2,1,23,22,21,21,20,19,18,18,17,16,15,14,13};

        //obtenemos el literal a mostar en ventana de mes y año seleccionado
        literalMes( new Integer(mes + 1), new Integer( anio ));

        // filtramos los fenomenos para reuperar unicmanete los de tipo Lunar
        for (Fenomenos fenomeno : fenomenosList) {
            if (fenomeno.getTipoFenomeno().equals( R.string.lunar )){
                lunarFeno.add( fenomeno );
            }
        }

        // cargamos la información del mes seleccionado, recuperando el dato fecha, que se corresponde con luna nueva, desde el que se calcualará el resto de fases
        for (int i = 0; i < lunarFeno.size(); i++) {
            Fenomenos fenoRow = (Fenomenos) lunarFeno.get( i );
            if (fenoRow.getSubTipo().equals( mesSeleccionado )){
                diaDeLunaNueva = Integer.parseInt( fenoRow.getFecha());
            }
        }

        entradaFecha.setOnClickListener( this );
        casilla1.setOnClickListener( this );
        casilla2.setOnClickListener( this );
        casilla3.setOnClickListener( this );
        casilla4.setOnClickListener( this );
        casilla5.setOnClickListener( this );
        casilla6.setOnClickListener( this );
        casilla7.setOnClickListener( this );
        casilla8.setOnClickListener( this );
        casilla9.setOnClickListener( this );
        casilla10.setOnClickListener( this );
        casilla11.setOnClickListener( this );
        casilla12.setOnClickListener( this );
        casilla13.setOnClickListener( this );
        casilla14.setOnClickListener( this );
        casilla15.setOnClickListener( this );
        casilla16.setOnClickListener( this );
        casilla17.setOnClickListener( this );
        casilla18.setOnClickListener( this );
        casilla19.setOnClickListener( this );
        casilla20.setOnClickListener( this );
        casilla21.setOnClickListener( this );
        casilla22.setOnClickListener( this );
        casilla23.setOnClickListener( this );
        casilla24.setOnClickListener( this );
        casilla25.setOnClickListener( this );
        casilla26.setOnClickListener( this );
        casilla27.setOnClickListener( this );
        casilla28.setOnClickListener( this );
        casilla29.setOnClickListener( this );
        casilla30.setOnClickListener( this );
        casilla31.setOnClickListener( this );
        casilla32.setOnClickListener( this );
        casilla33.setOnClickListener( this );
        casilla34.setOnClickListener( this );
        casilla35.setOnClickListener( this );
        casilla36.setOnClickListener( this );
        casilla37.setOnClickListener( this );

        // implementamos el orden del calendario
        dibujaCalendario();
        return  view;
    }

    @Override
    public void onClick(View v) {

        Intent myIntent = new Intent( v.getContext(), LunarActivity.class );

        int numeroDeImagen=0;
        String lunaParsestring;
        String lunarFecha;
        String diaFecha;
        String mesFecha;

        //para cada elemento pulsado de la tabla implementamos la llamada a la vista de detalle y pasamos la información que corresponde
        //para las casillas susceptibles de no tener fecha por la composoción del mes seleccionado se compruba si debe estár clicable o no 
        
        switch (v.getId()){
            case R.id.mostarFechaLunar:
                //TextView para obtener fecha
                obtenerFechaDesde();
                break;
            case R.id.casilla_1:
                if (numeroDiaDeLaSemana<=0){
                    numeroDeImagen = 1 - diaDeLunaNueva - numeroDiaDeLaSemana;
                    if (numeroDeImagen<0){
                        numeroDeImagen = 48 +numeroDeImagen;
                    }
                    myIntent.putExtra("numeroimagen", String.valueOf( numeroDeImagen ));
                    lunaParsestring= String.valueOf( lunaGrandePosicionInt[1] );
                    myIntent.putExtra("imagengrande", lunaParsestring );
                    diaFecha = String.valueOf( Casillas[1].getText() ) ;
                    mesFecha = String.valueOf( labelMes.getText() ) ;
                    lunarFecha= String.valueOf(diaFecha + " " +  getString(R.string.preposicion_de)  + " " + mesFecha);
                    myIntent.putExtra("lunarfecha", lunarFecha);
                    startActivity( myIntent );
                }
                break;
            case R.id.casilla_2:
                if (numeroDiaDeLaSemana<=1){
                    numeroDeImagen = 2 - diaDeLunaNueva - numeroDiaDeLaSemana;
                    if (numeroDeImagen<0){
                        numeroDeImagen = 48 +numeroDeImagen;
                    }
                    myIntent.putExtra("numeroimagen", String.valueOf( numeroDeImagen ));
                    lunaParsestring= String.valueOf( lunaGrandePosicionInt[2] );
                    myIntent.putExtra("imagengrande", lunaParsestring );
                    diaFecha = String.valueOf( Casillas[2].getText() ) ;
                    mesFecha = String.valueOf( labelMes.getText() ) ;
                    lunarFecha= String.valueOf(diaFecha + " " +  getString(R.string.preposicion_de)  + " " + mesFecha);
                    myIntent.putExtra("lunarfecha", lunarFecha);
                    startActivity( myIntent );
                }
                break;
            case R.id.casilla_3:
                if (numeroDiaDeLaSemana<=2){
                    numeroDeImagen = 3 - diaDeLunaNueva - numeroDiaDeLaSemana;
                    if (numeroDeImagen<0){
                        numeroDeImagen = 48 +numeroDeImagen;
                    }
                    myIntent.putExtra("numeroimagen", String.valueOf( numeroDeImagen ));
                    lunaParsestring= String.valueOf( lunaGrandePosicionInt[3] );
                    myIntent.putExtra("imagengrande", lunaParsestring );
                    diaFecha = String.valueOf( Casillas[3].getText() ) ;
                    mesFecha = String.valueOf( labelMes.getText() ) ;
                    lunarFecha= String.valueOf(diaFecha + " " +  getString(R.string.preposicion_de)  + " " + mesFecha);
                    myIntent.putExtra("lunarfecha", lunarFecha);
                    startActivity( myIntent );
                }
                break;
            case R.id.casilla_4:
                if (numeroDiaDeLaSemana<=3){
                    numeroDeImagen = 4 - diaDeLunaNueva - numeroDiaDeLaSemana;
                    if (numeroDeImagen<0){
                        numeroDeImagen = 48 +numeroDeImagen;
                    }
                    myIntent.putExtra("numeroimagen", String.valueOf( numeroDeImagen ));
                    lunaParsestring= String.valueOf( lunaGrandePosicionInt[4] );
                    myIntent.putExtra("imagengrande", lunaParsestring );
                    diaFecha = String.valueOf( Casillas[4].getText() ) ;
                    mesFecha = String.valueOf( labelMes.getText() ) ;
                    lunarFecha= String.valueOf(diaFecha + " " +  getString(R.string.preposicion_de)  + " " + mesFecha);
                    myIntent.putExtra("lunarfecha", lunarFecha);
                    startActivity( myIntent );
                }
                break;
            case R.id.casilla_5:
                if (numeroDiaDeLaSemana<=4){
                    numeroDeImagen = 5 - diaDeLunaNueva - numeroDiaDeLaSemana;
                    if (numeroDeImagen<0){
                        numeroDeImagen = 48 +numeroDeImagen;
                    }
                    myIntent.putExtra("numeroimagen", String.valueOf( numeroDeImagen ));
                    lunaParsestring= String.valueOf( lunaGrandePosicionInt[5] );
                    myIntent.putExtra("imagengrande", lunaParsestring );
                    diaFecha = String.valueOf( Casillas[5].getText() ) ;
                    mesFecha = String.valueOf( labelMes.getText() ) ;
                    lunarFecha= String.valueOf(diaFecha + " " +  getString(R.string.preposicion_de)  + " " + mesFecha);
                    myIntent.putExtra("lunarfecha", lunarFecha);
                    startActivity( myIntent );
                }
                break;
            case R.id.casilla_6:
                if (numeroDiaDeLaSemana<=5){
                    numeroDeImagen = 6 - diaDeLunaNueva - numeroDiaDeLaSemana;
                    if (numeroDeImagen<0){
                        numeroDeImagen = 48 +numeroDeImagen;
                    }
                    myIntent.putExtra("numeroimagen", String.valueOf( numeroDeImagen ));
                    lunaParsestring= String.valueOf( lunaGrandePosicionInt[6] );
                    myIntent.putExtra("imagengrande", lunaParsestring );
                    diaFecha = String.valueOf( Casillas[6].getText() ) ;
                    mesFecha = String.valueOf( labelMes.getText() ) ;
                    lunarFecha= String.valueOf(diaFecha + " " +  getString(R.string.preposicion_de)  + " " + mesFecha);
                    myIntent.putExtra("lunarfecha", lunarFecha);
                    startActivity( myIntent );
                }
                break;
            case R.id.casilla_7:
                numeroDeImagen = 7 - diaDeLunaNueva - numeroDiaDeLaSemana;
                if (numeroDeImagen<0){
                    numeroDeImagen = 48 +numeroDeImagen;
                }
                myIntent.putExtra("numeroimagen", String.valueOf( numeroDeImagen ));
                lunaParsestring= String.valueOf( lunaGrandePosicionInt[7] );
                myIntent.putExtra("imagengrande", lunaParsestring);
                diaFecha = String.valueOf( Casillas[7].getText() ) ;
                mesFecha = String.valueOf( labelMes.getText() ) ;
                lunarFecha= String.valueOf(diaFecha + " " +  getString(R.string.preposicion_de)  + " " + mesFecha);
                myIntent.putExtra("lunarfecha", lunarFecha);
                startActivity( myIntent );
                break;
            case R.id.casilla_8:
                numeroDeImagen = 8 - diaDeLunaNueva - numeroDiaDeLaSemana;
                if (numeroDeImagen<0){
                    numeroDeImagen = 48 +numeroDeImagen;
                }
                myIntent.putExtra("numeroimagen", String.valueOf( numeroDeImagen ));
                lunaParsestring= String.valueOf( lunaGrandePosicionInt[8] );
                myIntent.putExtra("imagengrande", lunaParsestring );
                diaFecha = String.valueOf( Casillas[8].getText() ) ;
                mesFecha = String.valueOf( labelMes.getText() ) ;
                lunarFecha= String.valueOf(diaFecha + " " +  getString(R.string.preposicion_de)  + " " + mesFecha);
                myIntent.putExtra("lunarfecha", lunarFecha);
                startActivity( myIntent );
                break;
            case R.id.casilla_9:
                numeroDeImagen = 9 - diaDeLunaNueva - numeroDiaDeLaSemana;
                if (numeroDeImagen<0){
                    numeroDeImagen = 48 +numeroDeImagen;
                }
                myIntent.putExtra("numeroimagen", String.valueOf( numeroDeImagen ));
                lunaParsestring= String.valueOf( lunaGrandePosicionInt[9] );
                myIntent.putExtra("imagengrande", lunaParsestring );
                diaFecha = String.valueOf( Casillas[9].getText() ) ;
                mesFecha = String.valueOf( labelMes.getText() ) ;
                lunarFecha= String.valueOf(diaFecha + " " +  getString(R.string.preposicion_de)  + " " + mesFecha);
                myIntent.putExtra("lunarfecha", lunarFecha);
                startActivity( myIntent );
                break;
            case R.id.casilla_10:
                numeroDeImagen = 10 - diaDeLunaNueva - numeroDiaDeLaSemana;
                if (numeroDeImagen<0){
                    numeroDeImagen = 48 +numeroDeImagen;
                }
                myIntent.putExtra("numeroimagen", String.valueOf( numeroDeImagen ));
                lunaParsestring= String.valueOf( lunaGrandePosicionInt[10] );
                myIntent.putExtra("imagengrande", lunaParsestring );
                diaFecha = String.valueOf( Casillas[10].getText() ) ;
                mesFecha = String.valueOf( labelMes.getText() ) ;
                lunarFecha= String.valueOf(diaFecha + " " +  getString(R.string.preposicion_de)  + " " + mesFecha);
                myIntent.putExtra("lunarfecha", lunarFecha);
                startActivity( myIntent );
                break;
            case R.id.casilla_11:
                numeroDeImagen = 11 - diaDeLunaNueva - numeroDiaDeLaSemana;
                if (numeroDeImagen<0){
                    numeroDeImagen = 48 +numeroDeImagen;
                }
                myIntent.putExtra("numeroimagen", String.valueOf( numeroDeImagen ));
                lunaParsestring= String.valueOf( lunaGrandePosicionInt[11] );
                myIntent.putExtra("imagengrande", lunaParsestring );
                diaFecha = String.valueOf( Casillas[11].getText() ) ;
                mesFecha = String.valueOf( labelMes.getText() ) ;
                lunarFecha= String.valueOf(diaFecha + " " +  getString(R.string.preposicion_de)  + " " + mesFecha);
                myIntent.putExtra("lunarfecha", lunarFecha);
                startActivity( myIntent );
                break;
            case R.id.casilla_12:
                numeroDeImagen = 12 - diaDeLunaNueva - numeroDiaDeLaSemana;
                if (numeroDeImagen<0){
                    numeroDeImagen = 48 +numeroDeImagen;
                }
                myIntent.putExtra("numeroimagen", String.valueOf( numeroDeImagen ));
                lunaParsestring= String.valueOf( lunaGrandePosicionInt[12] );
                myIntent.putExtra("imagengrande", lunaParsestring );
                diaFecha = String.valueOf( Casillas[12].getText() ) ;
                mesFecha = String.valueOf( labelMes.getText() ) ;
                lunarFecha= String.valueOf(diaFecha + " " +  getString(R.string.preposicion_de)  + " " + mesFecha);
                myIntent.putExtra("lunarfecha", lunarFecha);
                startActivity( myIntent );
                break;
            case R.id.casilla_13:
                numeroDeImagen = 13 - diaDeLunaNueva - numeroDiaDeLaSemana;
                if (numeroDeImagen<0){
                    numeroDeImagen = 48 +numeroDeImagen;
                }
                myIntent.putExtra("numeroimagen", String.valueOf( numeroDeImagen ));
                lunaParsestring= String.valueOf( lunaGrandePosicionInt[13] );
                myIntent.putExtra("imagengrande", lunaParsestring );
                diaFecha = String.valueOf( Casillas[13].getText() ) ;
                mesFecha = String.valueOf( labelMes.getText() ) ;
                lunarFecha= String.valueOf(diaFecha + " " +  getString(R.string.preposicion_de)  + " " + mesFecha);
                myIntent.putExtra("lunarfecha", lunarFecha);
                startActivity( myIntent );
                break;
            case R.id.casilla_14:
                numeroDeImagen = 14 - diaDeLunaNueva - numeroDiaDeLaSemana;
                if (numeroDeImagen<0){
                    numeroDeImagen = 48 +numeroDeImagen;
                }
                myIntent.putExtra("numeroimagen", String.valueOf( numeroDeImagen ));
                lunaParsestring= String.valueOf( lunaGrandePosicionInt[14] );
                myIntent.putExtra("imagengrande", lunaParsestring );
                diaFecha = String.valueOf( Casillas[14].getText() ) ;
                mesFecha = String.valueOf( labelMes.getText() ) ;
                lunarFecha= String.valueOf(diaFecha + " " +  getString(R.string.preposicion_de)  + " " + mesFecha);
                myIntent.putExtra("lunarfecha", lunarFecha);
                startActivity( myIntent );
                break;
            case R.id.casilla_15:
                numeroDeImagen = 15 - diaDeLunaNueva - numeroDiaDeLaSemana;
                if (numeroDeImagen<0){
                    numeroDeImagen = 48 +numeroDeImagen;
                }
                myIntent.putExtra("numeroimagen", String.valueOf( numeroDeImagen ));
                lunaParsestring= String.valueOf( lunaGrandePosicionInt[15] );
                myIntent.putExtra("imagengrande", lunaParsestring );
                diaFecha = String.valueOf( Casillas[15].getText() ) ;
                mesFecha = String.valueOf( labelMes.getText() ) ;
                lunarFecha= String.valueOf(diaFecha + " " +  getString(R.string.preposicion_de)  + " " + mesFecha);
                myIntent.putExtra("lunarfecha", lunarFecha);
                startActivity( myIntent );
                break;
            case R.id.casilla_16:
                numeroDeImagen = 16 - diaDeLunaNueva - numeroDiaDeLaSemana;
                if (numeroDeImagen<0){
                    numeroDeImagen = 48 +numeroDeImagen;
                }
                myIntent.putExtra("numeroimagen", String.valueOf( numeroDeImagen ));
                lunaParsestring= String.valueOf( lunaGrandePosicionInt[16] );
                myIntent.putExtra("imagengrande", lunaParsestring);
                diaFecha = String.valueOf( Casillas[16].getText() ) ;
                mesFecha = String.valueOf( labelMes.getText() ) ;
                lunarFecha= String.valueOf(diaFecha + " " +  getString(R.string.preposicion_de)  + " " + mesFecha);
                myIntent.putExtra("lunarfecha", lunarFecha);
                startActivity( myIntent );
                break;
            case R.id.casilla_17:
                numeroDeImagen = 17 - diaDeLunaNueva - numeroDiaDeLaSemana;
                if (numeroDeImagen<0){
                    numeroDeImagen = 48 +numeroDeImagen;
                }
                myIntent.putExtra("numeroimagen", String.valueOf( numeroDeImagen ));
                lunaParsestring= String.valueOf( lunaGrandePosicionInt[17] );
                myIntent.putExtra("imagengrande", lunaParsestring );
                diaFecha = String.valueOf( Casillas[17].getText() ) ;
                mesFecha = String.valueOf( labelMes.getText() ) ;
                lunarFecha= String.valueOf(diaFecha + " " +  getString(R.string.preposicion_de)  + " " + mesFecha);
                myIntent.putExtra("lunarfecha", lunarFecha);
                startActivity( myIntent );
                break;
            case R.id.casilla_18:
                numeroDeImagen = 18 - diaDeLunaNueva - numeroDiaDeLaSemana;
                if (numeroDeImagen<0){
                    numeroDeImagen = 48 +numeroDeImagen;
                }
                myIntent.putExtra("numeroimagen", String.valueOf( numeroDeImagen ));
                lunaParsestring= String.valueOf( lunaGrandePosicionInt[18] );
                myIntent.putExtra("imagengrande", lunaParsestring );
                diaFecha = String.valueOf( Casillas[18].getText() ) ;
                mesFecha = String.valueOf( labelMes.getText() ) ;
                lunarFecha= String.valueOf(diaFecha + " " +  getString(R.string.preposicion_de)  + " " + mesFecha);
                myIntent.putExtra("lunarfecha", lunarFecha);
                startActivity( myIntent );
                break;
            case R.id.casilla_19:
                numeroDeImagen = 19 - diaDeLunaNueva - numeroDiaDeLaSemana;
                if (numeroDeImagen<0){
                    numeroDeImagen = 48 +numeroDeImagen;
                }
                myIntent.putExtra("numeroimagen", String.valueOf( numeroDeImagen ));
                lunaParsestring= String.valueOf( lunaGrandePosicionInt[19] );
                myIntent.putExtra("imagengrande", lunaParsestring );
                diaFecha = String.valueOf( Casillas[19].getText() ) ;
                mesFecha = String.valueOf( labelMes.getText() ) ;
                lunarFecha= String.valueOf(diaFecha + " " +  getString(R.string.preposicion_de)  + " " + mesFecha);
                myIntent.putExtra("lunarfecha", lunarFecha);
                startActivity( myIntent );
                break;
            case R.id.casilla_20:
                numeroDeImagen = 20 - diaDeLunaNueva - numeroDiaDeLaSemana;
                if (numeroDeImagen<0){
                    numeroDeImagen = 48 +numeroDeImagen;
                }
                myIntent.putExtra("numeroimagen", String.valueOf( numeroDeImagen ));
                lunaParsestring= String.valueOf( lunaGrandePosicionInt[20] );
                myIntent.putExtra("imagengrande", lunaParsestring );
                diaFecha = String.valueOf( Casillas[20].getText() ) ;
                mesFecha = String.valueOf( labelMes.getText() ) ;
                lunarFecha= String.valueOf(diaFecha + " " +  getString(R.string.preposicion_de)  + " " + mesFecha);
                myIntent.putExtra("lunarfecha", lunarFecha);
                startActivity( myIntent );
                break;
            case R.id.casilla_21:
                numeroDeImagen = 21 - diaDeLunaNueva - numeroDiaDeLaSemana;
                if (numeroDeImagen<0){
                    numeroDeImagen = 48 +numeroDeImagen;
                }
                myIntent.putExtra("numeroimagen", String.valueOf( numeroDeImagen ));
                lunaParsestring= String.valueOf( lunaGrandePosicionInt[21] );
                myIntent.putExtra("imagengrande", lunaParsestring );
                diaFecha = String.valueOf( Casillas[21].getText() ) ;
                mesFecha = String.valueOf( labelMes.getText() ) ;
                lunarFecha= String.valueOf(diaFecha + " " +  getString(R.string.preposicion_de)  + " " + mesFecha);
                myIntent.putExtra("lunarfecha", lunarFecha);
                startActivity( myIntent );
                break;
            case R.id.casilla_22:
                numeroDeImagen = 22 - diaDeLunaNueva - numeroDiaDeLaSemana;
                if (numeroDeImagen<0){
                    numeroDeImagen = 48 +numeroDeImagen;
                }
                myIntent.putExtra("numeroimagen", String.valueOf( numeroDeImagen ));
                lunaParsestring= String.valueOf( lunaGrandePosicionInt[22] );
                myIntent.putExtra("imagengrande", lunaParsestring );
                diaFecha = String.valueOf( Casillas[22].getText() ) ;
                mesFecha = String.valueOf( labelMes.getText() ) ;
                lunarFecha= String.valueOf(diaFecha + " " +  getString(R.string.preposicion_de)  + " " + mesFecha);
                myIntent.putExtra("lunarfecha", lunarFecha);
                startActivity( myIntent );
                break;
            case R.id.casilla_23:
                numeroDeImagen = 23 - diaDeLunaNueva - numeroDiaDeLaSemana;
                if (numeroDeImagen<0){
                    numeroDeImagen = 48 +numeroDeImagen;
                }
                myIntent.putExtra("numeroimagen", String.valueOf( numeroDeImagen ));
                lunaParsestring= String.valueOf( lunaGrandePosicionInt[23] );
                myIntent.putExtra("imagengrande", lunaParsestring );
                diaFecha = String.valueOf( Casillas[23].getText() ) ;
                mesFecha = String.valueOf( labelMes.getText() ) ;
                lunarFecha= String.valueOf(diaFecha + " " +  getString(R.string.preposicion_de)  + " " + mesFecha);
                myIntent.putExtra("lunarfecha", lunarFecha);
                startActivity( myIntent );
                break;
            case R.id.casilla_24:
                numeroDeImagen = 24 - diaDeLunaNueva - numeroDiaDeLaSemana;
                if (numeroDeImagen<0){
                    numeroDeImagen = 48 +numeroDeImagen;
                }
                myIntent.putExtra("numeroimagen", String.valueOf( numeroDeImagen ));
                lunaParsestring= String.valueOf( lunaGrandePosicionInt[24] );
                myIntent.putExtra("imagengrande", lunaParsestring );
                diaFecha = String.valueOf( Casillas[24].getText() ) ;
                mesFecha = String.valueOf( labelMes.getText() ) ;
                lunarFecha= String.valueOf(diaFecha + " " +  getString(R.string.preposicion_de)  + " " + mesFecha);
                myIntent.putExtra("lunarfecha", lunarFecha);
                startActivity( myIntent );
                break;
            case R.id.casilla_25:
                numeroDeImagen = 25 - diaDeLunaNueva - numeroDiaDeLaSemana;
                if (numeroDeImagen<0){
                    numeroDeImagen = 48 +numeroDeImagen;
                }
                myIntent.putExtra("numeroimagen", String.valueOf( numeroDeImagen ));
                lunaParsestring= String.valueOf( lunaGrandePosicionInt[25] );
                myIntent.putExtra("imagengrande", lunaParsestring );
                diaFecha = String.valueOf( Casillas[25].getText() ) ;
                mesFecha = String.valueOf( labelMes.getText() ) ;
                lunarFecha= String.valueOf(diaFecha + " " +  getString(R.string.preposicion_de)  + " " + mesFecha);
                myIntent.putExtra("lunarfecha", lunarFecha);
                startActivity( myIntent );
                break;
            case R.id.casilla_26:
                numeroDeImagen = 26 - diaDeLunaNueva - numeroDiaDeLaSemana;
                if (numeroDeImagen<0){
                    numeroDeImagen = 48 +numeroDeImagen;
                }
                myIntent.putExtra("numeroimagen", String.valueOf( numeroDeImagen ));
                lunaParsestring= String.valueOf( lunaGrandePosicionInt[26] );
                myIntent.putExtra("imagengrande", lunaParsestring );
                diaFecha = String.valueOf( Casillas[26].getText() ) ;
                mesFecha = String.valueOf( labelMes.getText() ) ;
                lunarFecha= String.valueOf(diaFecha + " " +  getString(R.string.preposicion_de)  + " " + mesFecha);
                myIntent.putExtra("lunarfecha", lunarFecha);
                startActivity( myIntent );
                break;
            case R.id.casilla_27:
                numeroDeImagen = 27 - diaDeLunaNueva - numeroDiaDeLaSemana;
                if (numeroDeImagen<0){
                    numeroDeImagen = 48 +numeroDeImagen;
                }
                myIntent.putExtra("numeroimagen", String.valueOf( numeroDeImagen ));
                lunaParsestring= String.valueOf( lunaGrandePosicionInt[27] );
                myIntent.putExtra("imagengrande", lunaParsestring );
                diaFecha = String.valueOf( Casillas[27].getText() ) ;
                mesFecha = String.valueOf( labelMes.getText() ) ;
                lunarFecha= String.valueOf(diaFecha + " " +  getString(R.string.preposicion_de)  + " " + mesFecha);
                myIntent.putExtra("lunarfecha", lunarFecha);
                startActivity( myIntent );
                break;
            case R.id.casilla_28:
                numeroDeImagen = 28 - diaDeLunaNueva - numeroDiaDeLaSemana;
                if (numeroDeImagen<0){
                    numeroDeImagen = 48 +numeroDeImagen;
                }
                myIntent.putExtra("numeroimagen", String.valueOf( numeroDeImagen ));
                lunaParsestring= String.valueOf( lunaGrandePosicionInt[28] );
                myIntent.putExtra("imagengrande", lunaParsestring );
                diaFecha = String.valueOf( Casillas[28].getText() ) ;
                mesFecha = String.valueOf( labelMes.getText() ) ;
                lunarFecha= String.valueOf(diaFecha + " " +  getString(R.string.preposicion_de)  + " " + mesFecha);
                myIntent.putExtra("lunarfecha", lunarFecha);
                startActivity( myIntent );
                break;
            case R.id.casilla_29:
                if ((numDiasMes+numeroDiaDeLaSemana)>=29) {
                    numeroDeImagen = 29 - diaDeLunaNueva - numeroDiaDeLaSemana;
                    if (numeroDeImagen<0){
                        numeroDeImagen = 48 +numeroDeImagen;
                    }
                    myIntent.putExtra("numeroimagen", String.valueOf( numeroDeImagen ));
                    lunaParsestring= String.valueOf( lunaGrandePosicionInt[29] );
                    myIntent.putExtra("imagengrande", lunaParsestring );
                    diaFecha = String.valueOf( Casillas[29].getText() ) ;
                    mesFecha = String.valueOf( labelMes.getText() ) ;
                    lunarFecha= String.valueOf(diaFecha + " " +  getString(R.string.preposicion_de)  + " " + mesFecha);
                    myIntent.putExtra("lunarfecha", lunarFecha);
                    startActivity( myIntent );
                }
                break;
            case R.id.casilla_30:
                if ((numDiasMes+numeroDiaDeLaSemana)>=30){
                    numeroDeImagen = 30 - diaDeLunaNueva - numeroDiaDeLaSemana;
                    if (numeroDeImagen<0){
                        numeroDeImagen = 48 +numeroDeImagen;
                    }
                    myIntent.putExtra("numeroimagen", String.valueOf( numeroDeImagen ));
                    lunaParsestring= String.valueOf( lunaGrandePosicionInt[30] );
                    myIntent.putExtra("imagengrande", lunaParsestring );
                    diaFecha = String.valueOf( Casillas[30].getText() ) ;
                    mesFecha = String.valueOf( labelMes.getText() ) ;
                    lunarFecha= String.valueOf(diaFecha + " " +  getString(R.string.preposicion_de)  + " " + mesFecha);
                    myIntent.putExtra("lunarfecha", lunarFecha);
                    startActivity( myIntent );
                }
                break;
            case R.id.casilla_31:
                if ((numDiasMes+numeroDiaDeLaSemana)>=31) {
                    numeroDeImagen = 31 - diaDeLunaNueva - numeroDiaDeLaSemana;
                    if (numeroDeImagen<0){
                        numeroDeImagen = 48 +numeroDeImagen;
                    }
                    myIntent.putExtra("numeroimagen", String.valueOf( numeroDeImagen ));
                    lunaParsestring= String.valueOf( lunaGrandePosicionInt[31] );
                    myIntent.putExtra("imagengrande", lunaParsestring );
                    diaFecha = String.valueOf( Casillas[31].getText() ) ;
                    mesFecha = String.valueOf( labelMes.getText() ) ;
                    lunarFecha= String.valueOf(diaFecha + " " +  getString(R.string.preposicion_de) + " " + mesFecha);
                    myIntent.putExtra("lunarfecha", lunarFecha);
                    startActivity( myIntent );
                }
                break;
            case R.id.casilla_32:
                if ((numDiasMes+numeroDiaDeLaSemana)>=32) {
                    numeroDeImagen = 32 - diaDeLunaNueva - numeroDiaDeLaSemana;
                    if (numeroDeImagen<0){
                        numeroDeImagen = 48 +numeroDeImagen;
                    }
                    myIntent.putExtra("numeroimagen", String.valueOf( numeroDeImagen ));
                    lunaParsestring= String.valueOf( lunaGrandePosicionInt[32] );
                    myIntent.putExtra("imagengrande", lunaParsestring );
                    diaFecha = String.valueOf( Casillas[32].getText() ) ;
                    mesFecha = String.valueOf( labelMes.getText() ) ;
                    lunarFecha= String.valueOf(diaFecha + " " +  getString(R.string.preposicion_de)  + " " + mesFecha);
                    myIntent.putExtra("lunarfecha", lunarFecha);
                    startActivity( myIntent );
                }
                break;
            case R.id.casilla_33:
                if ((numDiasMes+numeroDiaDeLaSemana)>=33) {
                    numeroDeImagen = 33 - diaDeLunaNueva - numeroDiaDeLaSemana;
                    if (numeroDeImagen<0){
                        numeroDeImagen = 48 +numeroDeImagen;
                    }
                    myIntent.putExtra("numeroimagen", String.valueOf( numeroDeImagen ));
                    lunaParsestring= String.valueOf( lunaGrandePosicionInt[33] );
                    myIntent.putExtra("imagengrande", lunaParsestring );
                    diaFecha = String.valueOf( Casillas[33].getText() ) ;
                    mesFecha = String.valueOf( labelMes.getText() ) ;
                    lunarFecha= String.valueOf(diaFecha + " " +  getString(R.string.preposicion_de)  + " " + mesFecha);
                    myIntent.putExtra("lunarfecha", lunarFecha);
                    startActivity( myIntent );
                }
                break;
            case R.id.casilla_34:
                if ((numDiasMes+numeroDiaDeLaSemana)>=34){
                    numeroDeImagen = 34 - diaDeLunaNueva - numeroDiaDeLaSemana;
                    if (numeroDeImagen<0){
                        numeroDeImagen = 48 +numeroDeImagen;
                    }
                    myIntent.putExtra("numeroimagen", String.valueOf( numeroDeImagen ));
                    lunaParsestring= String.valueOf( lunaGrandePosicionInt[34] );
                    myIntent.putExtra("imagengrande", lunaParsestring );
                    diaFecha = String.valueOf( Casillas[34].getText() ) ;
                    mesFecha = String.valueOf( labelMes.getText() ) ;
                    lunarFecha= String.valueOf(diaFecha + " " +  getString(R.string.preposicion_de)  + " " + mesFecha);
                    myIntent.putExtra("lunarfecha", lunarFecha);
                    startActivity( myIntent );
                }
                break;
            case R.id.casilla_35:
                if ((numDiasMes+numeroDiaDeLaSemana)>=35) {
                    numeroDeImagen = 35 - diaDeLunaNueva - numeroDiaDeLaSemana;
                    if (numeroDeImagen<0){
                        numeroDeImagen = 48 +numeroDeImagen;
                    }
                    myIntent.putExtra("numeroimagen", String.valueOf( numeroDeImagen ));
                    lunaParsestring= String.valueOf( lunaGrandePosicionInt[35] );
                    myIntent.putExtra("imagengrande", lunaParsestring );
                    diaFecha = String.valueOf( Casillas[35].getText() ) ;
                    mesFecha = String.valueOf( labelMes.getText() ) ;
                    lunarFecha= String.valueOf(diaFecha + " " +  getString(R.string.preposicion_de)  + " " + mesFecha);
                    myIntent.putExtra("lunarfecha", lunarFecha);
                    startActivity( myIntent );
                }
                break;
            case R.id.casilla_36:
                if ((numDiasMes+numeroDiaDeLaSemana)>=36) {
                    numeroDeImagen = 36 - diaDeLunaNueva - numeroDiaDeLaSemana;
                    if (numeroDeImagen<0){
                        numeroDeImagen = 48 +numeroDeImagen;
                    }
                    myIntent.putExtra("numeroimagen", String.valueOf( numeroDeImagen ));
                    lunaParsestring= String.valueOf( lunaGrandePosicionInt[36] );
                    myIntent.putExtra("imagengrande", lunaParsestring );
                    diaFecha = String.valueOf( Casillas[36].getText() ) ;
                    mesFecha = String.valueOf( labelMes.getText() ) ;
                    lunarFecha= String.valueOf(diaFecha + " " +  getString(R.string.preposicion_de)  + " " + mesFecha);
                    myIntent.putExtra("lunarfecha", lunarFecha);
                    startActivity( myIntent );
                }
                break;
            case R.id.casilla_37:
                if ((numDiasMes+numeroDiaDeLaSemana)>=37) {
                    numeroDeImagen = 37 - diaDeLunaNueva - numeroDiaDeLaSemana;
                    if (numeroDeImagen<0){
                        numeroDeImagen = 48 +numeroDeImagen;
                    }
                    myIntent.putExtra("numeroimagen", String.valueOf( numeroDeImagen ));
                    lunaParsestring= String.valueOf( lunaGrandePosicionInt[37] );
                    myIntent.putExtra("imagengrande", lunaParsestring );
                    diaFecha = String.valueOf( Casillas[37].getText() ) ;
                    mesFecha = String.valueOf( labelMes.getText() ) ;
                    lunarFecha= String.valueOf(diaFecha + " " +  getString(R.string.preposicion_de)  + " " + mesFecha);
                    myIntent.putExtra("lunarfecha", lunarFecha);
                    startActivity( myIntent );
                }
                break;
            default:
                break;
        }
    }

    // calcual el dia de la semana que corresponde en determinado mes
    private void diaDeLaSemana(String fecha){

        int[] Dias = {5, 6, 0, 1, 2, 3, 4};

        String dia = fecha.substring( 0, 2 );
        String mes = fecha.substring( 3, 5 );
        String ano = fecha.substring( 6, 10 );

        Integer d = Integer.parseInt( dia );
        Integer m = Integer.parseInt( mes );
        Integer y = Integer.parseInt( ano );
        Integer m2 = m;
        Integer y2 = y;

        if (m < 3){
            m += 12;
            y -= 1;
        }

        int k = y % 100;
        int j = y / 100;

        int miDia = ((d + (((m + 1) * 26)/10) + k + (k /4) +(j / 4)) + (5 * j)) % 7;

        numeroDiaDeLaSemana = Dias[miDia];
        literalMes(m2, y2);
    }

    //obtenemos el literal del mes e inicializamos el numero de días
    public void literalMes(Integer mesLiteral, Integer ano){

        boolean bisiesto = false;
        if (((ano % 400) == 0 || (ano % 4) == 0 ) && ((ano % 100) != 0)) bisiesto = true;

        labelAnio.setText( String.valueOf( ano ) );

        switch (mesLiteral){
            case 1:
                labelMes.setText( getString(R.string.literal_enero) );
                numDiasMes = 31;
                mesSeleccionado = getString(R.string.literal_enero);
                break;
            case 2:
                labelMes.setText( getString(R.string.literal_febrero) );
                if (bisiesto){
                    numDiasMes = 29;
                }else {
                    numDiasMes = 28;
                }
                mesSeleccionado = getString(R.string.literal_febrero);
                break;
            case 3:
                labelMes.setText( getString(R.string.literal_marzo) );
                numDiasMes = 31;
                mesSeleccionado = getString(R.string.literal_marzo);
                break;
            case 4:
                labelMes.setText( getString(R.string.literal_abril) );
                numDiasMes = 30;
                mesSeleccionado = getString(R.string.literal_abril);
                break;
            case 5:
                labelMes.setText( getString(R.string.literal_mayo) );
                numDiasMes = 31;
                mesSeleccionado = getString(R.string.literal_mayo);
                break;
            case 6:
                labelMes.setText( getString(R.string.literal_junio) );
                numDiasMes = 30;
                mesSeleccionado = getString(R.string.literal_junio);
                break;
            case 7:
                labelMes.setText( getString(R.string.literal_julio) );
                numDiasMes = 31;
                mesSeleccionado = getString(R.string.literal_julio);
                break;
            case 8:
                labelMes.setText( getString(R.string.literal_agosto) );
                numDiasMes = 31;
                mesSeleccionado = getString(R.string.literal_agosto);
                break;
            case 9:
                labelMes.setText( getString(R.string.literal_septiemnbre) );
                numDiasMes = 30;
                mesSeleccionado = getString(R.string.literal_septiemnbre);
                break;
            case 10:
                labelMes.setText( getString(R.string.literal_octubre) );
                numDiasMes = 31;
                mesSeleccionado = getString(R.string.literal_octubre);
                break;
            case 11:
                labelMes.setText( getString(R.string.literal_noviembre) );
                numDiasMes = 30;
                mesSeleccionado = getString(R.string.literal_noviembre);
                break;
            case 12:
                labelMes.setText( getString(R.string.literal_diciembre) );
                numDiasMes = 31;
                mesSeleccionado = getString(R.string.literal_diciembre);
                break;
            default:
                labelMes.setText( " " );
                break;
        }
    }

    private void obtenerFechaDesde(){
        DatePickerDialog recogerFecha = new DatePickerDialog(getContext(), new DatePickerDialog.OnDateSetListener() {
            @Override
            public void onDateSet(DatePicker view, int year, int month, int dayOfMonth) {
                //Esta variable lo que realiza es aumentar en uno el mes ya que comienza desde 0 = enero
                final int mesActual = month + 1;
                //Formateo el día obtenido: antepone el 0 si son menores de 10
                String diaFormateado = (dayOfMonth < 10)? CERO + String.valueOf(dayOfMonth):String.valueOf(dayOfMonth);
                //Formateo el mes obtenido: antepone el 0 si son menores de 10
                String mesFormateado = (mesActual < 10)? CERO + String.valueOf(mesActual):String.valueOf(mesActual);
                //Muestro la fecha con el formato deseado
                entradaFecha.setText(diaFormateado + BARRA + mesFormateado + BARRA + year);
                entradaDiaDeLaSemana = ("01" + BARRA + mesFormateado + BARRA + year);

                //llamamos al metodo de calculo de día de la semana
                diaDeLaSemana( entradaDiaDeLaSemana );

                //pintamos sobre la tabla el mes que corresponde
                dibujaCalendario();
            }
            //Estos valores deben ir en ese orden, de lo contrario no mostrara la fecha actual
            /**
             *También puede cargar los valores que usted desee
             */
        },anio, mes, dia);

        //Muestro el widget
        recogerFecha.show();
    }

    //define el orden de las fechas en la tabla calendario
    private void dibujaCalendario() {

        int i = 0;
        int j = 0;
        //definimos cual es el primer elemento de la lista de imagenes que debemos mostrar a partir del día en que emepieza la semana y el dato de luna nueva
        int k= 28 - diaDeLunaNueva - numeroDiaDeLaSemana;
        // si el resultado es negativo restamos al total de elementos de array.
        if (k<0){
            k = 29 -k;
        }

        //recorremos todos los elementos de la tabla
        while (i <= 42 ){
            //no empezamos a pintar elementos mientras el primer día de las semana sea mayor
            if (i >= numeroDiaDeLaSemana) {
                //tampoco pintamos si j es mayor a los días que tiene el mes
                if (j==0 || j>numDiasMes) {
                    Casillas[i].setText( String.valueOf( "" ) );
                    Casillas[i].setBackgroundResource(R.drawable.blanco);
                }else {
                    if (k==29){
                        k=0;
                    }
                    //insertamos de fondo en la casilla el icono correspondiente
                    Casillas[i].setBackgroundResource(LunasIcon[k]);
                    //mostramos el texto correspondiente al día del mes
                    Casillas[i].setText( String.valueOf( j ) );
                    //asociamos la correspondencia de las imagenes con el orden del mes
                    lunaGrandePosicionInt[i]= lunasGrandesInt[k];
                }
                j++;
            }else{
                Casillas[i].setText( "" );
                Casillas[i].setBackgroundResource(R.drawable.blanco);
            }
            i++;
            k++;
        }


    }
}
